# $Id: rpm-rebuilder.spec,v 1.1 2000/10/01 19:23:34 flepied Exp $

%define name rpm-rebuilder
%define version 0.1
%define release 1mdk

Summary: tools to build/check distributions
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Configuration/Packaging
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: rpmlint strace
BuildArchitectures: noarch

%description
rpm-rebuilder is a set of tools written in bourne shell and python.

check-distrib: checks if a set of source and binary rpms are in sync.

rpm-rebuilder: build a set of rpms from a set of srpms.

compute-build-requires: trace an rpm build command to find the BuildRequires
it needs.

compute-compile-order: from the sets of binary and sources rpms, find the order
in which the source rpms must be recompiled.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/rpm-rebuilder/*
%doc README README.CVS

%changelog
* Sun Oct  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first rpm version.

# rpm-rebuilder.spec ends here
